워드프레스 아바다 테마와 구텐베르크 호환성 참고 사항

4

워드프레스 5.0에 구텐베르크(Gutenberg) 편집기가 코어에 통합될 예정입니다. 최근 공개된 4.9.8 버전에서는 구텐베르크를 플러그인으로 설치하여 테스트할 수 있습니다. 이와 관련하여 아바다 테마에서는 다음과 같이 안내하고 있습니다.

아바다와 구텐베르크 참고 사항

아바다 테마를 5.6.2 버전으로 업데이트하면 위와 같은 알림이 표시됩니다. 대략적인 내용은 다음과 같습니다.

구텐베르크 에디터는 현재 개발 중이고 테스트와 피드백 목적으로 사용할 수 있습니다. 구텐베르크는 워드프레스 5.0 버전에서 워드프레스 코어에 통합될 예정이지만 일정은 정해지지 않았습니다. 전체 구텐베르크 프로젝트는 아직 프리-베타(Pre-beta) 단계이므로 테스트 시 이 점에 유의해야 합니다.

구텐베르크를 시험 사용하려는 경우 플러그인을 설치하여 테스트할 수 있습니다. 테스트를 종료하고 싶으면 플러그인을 비활성화하고 평상시처럼 작업을 하면 됩니다.

아바다에서 구텐베르크와의 호환성을 보장하기 위해 작업하고 있지만, 당분간은 Fusion Builder에서 생성된 글/페이지 콘텐츠를 구텐베르크에서 편집할 수 없고, 구텐베르크에서 생성한 콘텐츠를 Fusion Builder에서 편집할 수 없습니다.

아바다(Avada)에서 구텐베르크 편집기를 설치하여 활성화할 경우 개별 글/페이지를 Fusion Builder로 편집하려면 글 > 모든 글 혹은 페이지 > 모든 페이지에서 편집하려는 글이나 페이지 위에 마우스를 올리면 클래식 편집기를 편집할 수 있는 옵션이 표시됩니다.

아바다 테마 페이지 편집

위와 같이 표시되면 “구 버전 편집기“를 선택하여 클래식 편집기(고전 편집기)를 열고 “Use Fusion Builder” 버튼을 클릭하면 됩니다.

(현재 워드프레스 한글 언어 파일에서는 Classic Editor를 “클래식 편집기”, “고전 편집기”, “구 버전 편집기” 등의 용어로 번역되고 있네요. 하나로 통일하면 좋을 듯 합니다.)

워드프레스 5.0이 출시되면 클래식 에디터는 사용할 수 없게 되지만, 워드프레스 저장소에서 제공되는 클래식 편집기(Classic Editor)를 설치하고 구텐베르크를 비활성화할 수 있습니다(“구텐베르그 플러그인을 비활성화하는 방법” 참고).

워드프레스 5.0은 올해 공개될 예정이었지만 구텐베르크의 완성 시기에 따라 내년으로 늦춰질 가능성도 있어 보입니다.

참고:

Related Posts